libgimpprint API Reference: print-escp2.c File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# src/main/print-escp2.c File Reference

`#include <gimp-print/gimp-print.h>`
`#include <gimp-print/gimp-print-intl-internal.h>`
`#include "gimp-print-internal.h"`
`#include <string.h>`
`#include <assert.h>`
`#include <math.h>`
`#include "print-escp2.h"`

Go to the source code of this file.

## Data Structures
struct | escp2_printer_attr_t
struct | channel_count_t
struct | float_param_t
## Defines
#define | OP_JOB_START 1
#define | OP_JOB_PRINT 2
#define | OP_JOB_END 4
#define | MAX(a, b) ((a) > (b) ? (a) : (b))
#define | INCH(x) (72 * x)
#define | PARAMETER_INT(s)
#define | PARAMETER_INT_RO(s)
#define | PARAMETER_RAW(s)
#define | DEF_SIMPLE_ACCESSOR(f, t)
#define | DEF_RAW_ACCESSOR(f, t)
#define | DEF_COMPOSITE_ACCESSOR(f, t)
#define | DEF_ROLL_ACCESSOR(f, t)
#define | stp_module_version print_escp2_LTX_stp_module_version
#define | stp_module_data print_escp2_LTX_stp_module_data
## Functions
const res_t * | escp2_find_resolution (const stp_vars_t *v)
escp2_privdata_t * | get_privdata (stp_vars_t *v)
model_featureset_t | escp2_get_cap (const stp_vars_t *v, escp2_model_option_t feature)
int | escp2_has_cap (const stp_vars_t *v, escp2_model_option_t feature, model_featureset_t class)
const channel_count_t * | get_channel_count_by_name (const char *name)
const channel_count_t * | get_channel_count_by_number (unsigned count)
int | escp2_ink_type (const stp_vars_t *v, int resid)
double | escp2_density (const stp_vars_t *v, int resid)
int | escp2_bits (const stp_vars_t *v, int resid)
double | escp2_base_res (const stp_vars_t *v, int resid)
const escp2_dropsize_t * | escp2_dropsizes (const stp_vars_t *v, int resid)
const inklist_t * | escp2_inklist (const stp_vars_t *v)
const shade_t * | escp2_shades (const stp_vars_t *v, int channel)
const paperlist_t * | escp2_paperlist (const stp_vars_t *v)
int | using_automatic_settings (const stp_vars_t *v, auto_mode_t mode)
int | compute_internal_resid (int hres, int vres)
int | compute_resid (const res_t *res)
int | compute_printed_resid (const res_t *res)
const input_slot_t * | get_input_slot (const stp_vars_t *v)
const printer_weave_t * | get_printer_weave (const stp_vars_t *v)
int | use_printer_weave (const stp_vars_t *v)
const paper_t * | get_media_type (const stp_vars_t *v)
int | verify_resolution_by_paper_type (const stp_vars_t *v, const res_t *res)
int | verify_resolution (const stp_vars_t *v, const res_t *res)
int | verify_papersize (const stp_vars_t *v, const stp_papersize_t *pt)
int | verify_inktype (const stp_vars_t *v, const escp2_inkname_t *inks)
const char * | get_default_inktype (const stp_vars_t *v)
const escp2_inkname_t * | get_inktype (const stp_vars_t *v)
const paper_adjustment_t * | get_media_adjustment (const stp_vars_t *v)
stp_parameter_list_t | escp2_list_parameters (const stp_vars_t *v)
void | fill_transition_parameters (stp_parameter_t *description)
void | set_density_parameter (const stp_vars_t *v, stp_parameter_t *description, int color)
void | set_gray_transition_parameter (const stp_vars_t *v, stp_parameter_t *description, int expected_channels)
void | set_color_transition_parameter (const stp_vars_t *v, stp_parameter_t *description, int color)
const res_t * | find_default_resolution (const stp_vars_t *v, int desired_hres, int desired_vres, int strict)
const res_t * | find_resolution_from_quality (const stp_vars_t *v, const char *quality, int strict)
void | escp2_parameters (const stp_vars_t *v, const char *name, stp_parameter_t *description)
int | imax (int a, int b)
void | internal_imageable_area (const stp_vars_t *v, int use_paper_margins, int *left, int *right, int *bottom, int *top)
void | escp2_imageable_area (const stp_vars_t *v, int *left, int *right, int *bottom, int *top)
void | escp2_limit (const stp_vars_t *v, int *width, int *height, int *min_width, int *min_height)
void | escp2_describe_resolution (const stp_vars_t *v, int *x, int *y)
const char * | escp2_describe_output (const stp_vars_t *v)
int | escp2_has_advanced_command_set (const stp_vars_t *v)
int | escp2_use_extended_commands (const stp_vars_t *v, int use_softweave)
int | set_raw_ink_type (stp_vars_t *v)
void | adjust_density_and_ink_type (stp_vars_t *v, stp_image_t *image)
void | adjust_print_quality (stp_vars_t *v, stp_image_t *image)
int | count_channels (const escp2_inkname_t *inks)
int | compute_channel_count (const escp2_inkname_t *ink_type, int channel_limit)
double | get_double_param (const stp_vars_t *v, const char *param)
void | setup_inks (stp_vars_t *v)
void | setup_head_offset (stp_vars_t *v)
void | setup_misc (stp_vars_t *v)
void | allocate_channels (stp_vars_t *v, int line_length)
unsigned | gcd (unsigned a, unsigned b)
unsigned | lcm (unsigned a, unsigned b)
int | adjusted_vertical_resolution (const res_t *res)
int | adjusted_horizontal_resolution (const res_t *res)
void | setup_resolution (stp_vars_t *v)
void | setup_softweave_parameters (stp_vars_t *v)
void | setup_printer_weave_parameters (stp_vars_t *v)
void | setup_head_parameters (stp_vars_t *v)
void | setup_page (stp_vars_t *v)
void | set_mask (unsigned char *cd_mask, int x_center, int scaled_x_where, int limit, int expansion, int invert)
int | escp2_print_data (stp_vars_t *v, stp_image_t *image)
int | escp2_print_page (stp_vars_t *v, stp_image_t *image)
int | escp2_do_print (stp_vars_t *v, stp_image_t *image, int print_op)
int | escp2_print (const stp_vars_t *v, stp_image_t *image)
int | escp2_job_start (const stp_vars_t *v, stp_image_t *image)
int | escp2_job_end (const stp_vars_t *v, stp_image_t *image)
int | print_escp2_module_init (void)
int | print_escp2_module_exit (void)
## Variables
const escp2_printer_attr_t | escp2_printer_attrs []
const channel_count_t | escp2_channel_counts []
int | escp2_channel_counts_count
const double | ink_darknesses []
const stp_parameter_t | the_parameters []
const int | the_parameter_count
const float_param_t | float_parameters []
const int | float_parameter_count
const stp_printfuncs_t | print_escp2_printfuncs
stp_family_t | print_escp2_module_data
stp_module_version_t | stp_module_version = {0, 0}
stp_module_t | stp_module_data

## Define Documentation

#define DEF_COMPOSITE_ACCESSOR | ( | f,
|  | t |  | ) |

| Value:
    static inline t                                         \
    escp2_##f(const stp_vars_t *v)                          \
    {                                                       \
      int model = stp_get_model_id(v);                      \
      return (stpi_escp2_model_capabilities[model].f);      \
    }
Definition at line 553 of file print-escp2.c.

#define DEF_RAW_ACCESSOR | ( | f,
|  | t |  | ) |

| Value:
    static inline t                                                         \
    escp2_##f(const stp_vars_t *v)                                          \
    {                                                                       \
      if (stp_check_raw_parameter(v, "escp2_" #f, STP_PARAMETER_ACTIVE))    \
        return stp_get_raw_parameter(v, "escp2_" #f);                       \
      else                                                                  \
        {                                                                   \
          int model = stp_get_model_id(v);                                  \
          return (stpi_escp2_model_capabilities[model].f);                  \
        }                                                                   \
    }
Definition at line 540 of file print-escp2.c.

#define DEF_ROLL_ACCESSOR | ( | f,
|  | t |  | ) |

| Value:
    static inline t                                                         \
    escp2_##f(const stp_vars_t *v, int rollfeed)                            \
    {                                                                       \
      if (stp_check_int_parameter(v, "escp2_" #f, STP_PARAMETER_ACTIVE))    \
        return stp_get_int_parameter(v, "escp2_" #f);                       \
      else                                                                  \
        {                                                                   \
          int model = stp_get_model_id(v);                                  \
          const res_t *res = escp2_find_resolution(v);                      \
          if (res && !(res->softweave))                                     \
            {                                                               \
              if (rollfeed)                                                 \
                return (stpi_escp2_model_capabilities[model].m_roll_##f);   \
              else                                                          \
                return (stpi_escp2_model_capabilities[model].m_##f);        \
            }                                                               \
          else                                                              \
            {                                                               \
              if (rollfeed)                                                 \
                return (stpi_escp2_model_capabilities[model].roll_##f);     \
              else                                                          \
                return (stpi_escp2_model_capabilities[model].f);            \
            }                                                               \
        }                                                                   \
    }
Definition at line 561 of file print-escp2.c.

#define DEF_SIMPLE_ACCESSOR | ( | f,
|  | t |  | ) |

| Value:
    static inline t                                                         \
    escp2_##f(const stp_vars_t *v)                                          \
    {                                                                       \
      if (stp_check_int_parameter(v, "escp2_" #f, STP_PARAMETER_ACTIVE))    \
        return stp_get_int_parameter(v, "escp2_" #f);                       \
      else                                                                  \
        {                                                                   \
          int model = stp_get_model_id(v);                                  \
          return (stpi_escp2_model_capabilities[model].f);                  \
        }                                                                   \
    }
Definition at line 527 of file print-escp2.c.

#define INCH | ( | x |  | ) | (72 * x)

| Definition at line 122 of file print-escp2.c.

#define MAX | ( | a,
|  | b |  | ) | ((a) > (b) ? (a) : (b))

| Definition at line 48 of file print-escp2.c.

#define OP_JOB_END 4

| Definition at line 46 of file print-escp2.c. Referenced by escp2_do_print(), escp2_job_end(), and escp2_print().

#define OP_JOB_PRINT 2

| Definition at line 45 of file print-escp2.c. Referenced by escp2_do_print(), and escp2_print().

#define OP_JOB_START 1

| Definition at line 44 of file print-escp2.c. Referenced by escp2_do_print(), escp2_job_start(), and escp2_print().

#define PARAMETER_INT | ( | s |  | ) |

| Value:
    {                                                                       \
      "escp2_" #s, "escp2_" #s, N_("Advanced Printer Functionality"), NULL, \
      STP_PARAMETER_TYPE_INT, STP_PARAMETER_CLASS_FEATURE,                  \
      STP_PARAMETER_LEVEL_INTERNAL, 0, 1, -1, 1, 0                          \
    }
Definition at line 126 of file print-escp2.c.

#define PARAMETER_INT_RO | ( | s |  | ) |

| Value:
    {                                                                       \
      "escp2_" #s, "escp2_" #s, N_("Advanced Printer Functionality"), NULL, \
      STP_PARAMETER_TYPE_INT, STP_PARAMETER_CLASS_FEATURE,                  \
      STP_PARAMETER_LEVEL_INTERNAL, 0, 1, -1, 1, 1                          \
    }
Definition at line 133 of file print-escp2.c.

#define PARAMETER_RAW | ( | s |  | ) |

| Value:
    {                                                                       \
      "escp2_" #s, "escp2_" #s, N_("Advanced Printer Functionality"), NULL, \
      STP_PARAMETER_TYPE_RAW, STP_PARAMETER_CLASS_FEATURE,                  \
      STP_PARAMETER_LEVEL_INTERNAL, 0, 1, -1, 1, 0                          \
    }
Definition at line 140 of file print-escp2.c.

#define stp_module_data print_escp2_LTX_stp_module_data

| Definition at line 2780 of file print-escp2.c.

#define stp_module_version print_escp2_LTX_stp_module_version

| Definition at line 2779 of file print-escp2.c.

## Function Documentation

void adjust_density_and_ink_type | ( | stp_vars_t * | v,
|  | stp_image_t * | image
| ) | `[static]`

| Definition at line 1867 of file print-escp2.c. References paper_adjustment_t::base_density, compute_printed_resid(), escp2_privdata_t::drop_size, escp2_bits(), escp2_density(), escp2_ink_type(), get_privdata(), escp2_privdata_t::ink_resid, escp2_privdata_t::paper_adjustment, escp2_privdata_t::res, RES_360, stp_check_boolean_parameter(), stp_check_float_parameter(), stp_check_int_parameter(), stp_get_boolean_parameter(), stp_get_float_parameter(), stp_image_t, STP_PARAMETER_ACTIVE, STP_PARAMETER_DEFAULTED, stp_scale_float_parameter(), stp_set_float_parameter(), stp_set_float_parameter_active(), and stp_vars_t. Referenced by escp2_do_print().

void adjust_print_quality | ( | stp_vars_t * | v,
|  | stp_image_t * | image
| ) | `[static]`

| Definition at line 1951 of file print-escp2.c. References paper_adjustment_t::black, paper_adjustment_t::cyan, paper_adjustment_t::gamma, get_privdata(), paper_adjustment_t::hue_adjustment, paper_adjustment_t::k_lower, paper_adjustment_t::k_transition, paper_adjustment_t::k_upper, paper_adjustment_t::lum_adjustment, paper_adjustment_t::magenta, escp2_privdata_t::paper_adjustment, paper_adjustment_t::sat_adjustment, paper_adjustment_t::saturation, stp_check_curve_parameter(), stp_check_float_parameter(), stp_curve_create_from_string(), stp_curve_destroy(), stp_curve_t, stp_image_t, STP_PARAMETER_ACTIVE, stp_scale_float_parameter(), stp_set_curve_parameter(), stp_set_curve_parameter_active(), stp_set_default_float_parameter(), stp_vars_t, and paper_adjustment_t::yellow. Referenced by escp2_print_page().

int adjusted_horizontal_resolution | ( | const res_t * | res | ) | `[static]`

| Definition at line 2230 of file print-escp2.c. References res_t::hres, lcm(), and res_t::vres. Referenced by setup_resolution().

int adjusted_vertical_resolution | ( | const res_t * | res | ) | `[static]`

| Definition at line 2217 of file print-escp2.c. References res_t::hres, lcm(), and res_t::vres. Referenced by setup_resolution().

void allocate_channels | ( | stp_vars_t * | v,
|  | int | line_length
| ) | `[static]`

| Definition at line 2158 of file print-escp2.c. References escp2_inkname_t::channel_set, channel_set_t::channels, escp2_privdata_t::channels, escp2_privdata_t::channels_in_use, escp2_privdata_t::cols, escp2_describe_output(), get_privdata(), escp2_privdata_t::inkname, escp2_privdata_t::logical_channels, ink_channel_t::n_subchannels, stp_dither_add_channel(), stp_set_string_parameter(), stp_vars_t, stp_zalloc(), and ink_channel_t::subchannels. Referenced by escp2_print_page().

int compute_channel_count | ( | const escp2_inkname_t * | ink_type,
|  | int | channel_limit
| ) | `[static]`

| Definition at line 2032 of file print-escp2.c. References escp2_inkname_t::channel_set, channel_set_t::channels, and ink_channel_t::n_subchannels. Referenced by setup_head_parameters().

int compute_internal_resid | ( | int | hres,
|  | int | vres
| ) | `[static]`

| Definition at line 790 of file print-escp2.c. References RES_N. Referenced by compute_printed_resid(), and compute_resid().

int compute_printed_resid | ( | const res_t * | res | ) | `[static]`

| Definition at line 820 of file print-escp2.c. References compute_internal_resid(), res_t::printed_hres, and res_t::printed_vres. Referenced by adjust_density_and_ink_type(), get_default_inktype(), setup_head_parameters(), and verify_resolution().

int compute_resid | ( | const res_t * | res | ) | `[static]`

| Definition at line 814 of file print-escp2.c. References compute_internal_resid(), res_t::hres, and res_t::vres. Referenced by setup_resolution(), and verify_resolution().

int count_channels | ( | const escp2_inkname_t * | inks | ) | `[static]`

| Definition at line 2021 of file print-escp2.c. References channel_set_t::channel_count, escp2_inkname_t::channel_set, channel_set_t::channels, and ink_channel_t::n_subchannels. Referenced by escp2_do_print().

double escp2_base_res | ( | const stp_vars_t * | v,
|  | int | resid
| ) | `[static]`

| Definition at line 696 of file print-escp2.c. References escp2_printer::base_resolutions, stp_check_float_parameter(), stp_get_float_parameter(), stp_get_model_id(), STP_PARAMETER_ACTIVE, stp_vars_t, and stpi_escp2_model_capabilities. Referenced by get_default_inktype(), setup_resolution(), and verify_resolution().

int escp2_bits | ( | const stp_vars_t * | v,
|  | int | resid
| ) | `[static]`

| Definition at line 684 of file print-escp2.c. References escp2_printer::bits, stp_check_int_parameter(), stp_get_int_parameter(), stp_get_model_id(), STP_PARAMETER_ACTIVE, stp_vars_t, and stpi_escp2_model_capabilities. Referenced by adjust_density_and_ink_type(), and setup_head_parameters().

double escp2_density | ( | const stp_vars_t * | v,
|  | int | resid
| ) | `[static]`

| Definition at line 672 of file print-escp2.c. References escp2_printer::densities, stp_check_float_parameter(), stp_get_float_parameter(), stp_get_model_id(), STP_PARAMETER_ACTIVE, stp_vars_t, and stpi_escp2_model_capabilities. Referenced by adjust_density_and_ink_type().

const char* escp2_describe_output | ( | const stp_vars_t * | v | ) | `[static]`

| Definition at line 1781 of file print-escp2.c. References escp2_inkname_t::channel_set, channel_set_t::channels, get_inktype(), escp2_inkname_t::inkset, INKSET_CcMmYK, INKSET_CcMmYKk, INKSET_CcMmYyK, INKSET_CMYK, INKSET_CMYKRB, stp_get_string_parameter(), and stp_vars_t. Referenced by allocate_channels().

void escp2_describe_resolution | ( | const stp_vars_t * | v,
|  | int * | x,
|  | int * | y
| ) | `[static]`

| Definition at line 1767 of file print-escp2.c. References escp2_find_resolution(), res_t::printed_hres, res_t::printed_vres, stp_vars_t, and verify_resolution().

int escp2_do_print | ( | stp_vars_t * | v,
|  | stp_image_t * | image,
|  | int | print_op
| ) | `[static]`

| Definition at line 2657 of file print-escp2.c. References _, adjust_density_and_ink_type(), escp2_privdata_t::channels_in_use, count_channels(), escp2_has_cap(), escp2_print_page(), get_inktype(), escp2_privdata_t::head_offset, escp2_privdata_t::inkname, escp2_privdata_t::last_color, escp2_privdata_t::last_pass, escp2_privdata_t::last_pass_offset, MODEL_SEND_ZERO_ADVANCE, MODEL_SEND_ZERO_ADVANCE_YES, OP_JOB_END, OP_JOB_PRINT, OP_JOB_START, escp2_privdata_t::printed_something, escp2_privdata_t::send_zero_pass_advance, set_raw_ink_type(), setup_head_parameters(), setup_misc(), setup_page(), setup_resolution(), stp_allocate_component_data(), stp_eprintf(), stp_free(), stp_get_string_parameter(), stp_image_init(), stp_image_t, stp_vars_t, stp_verify(), stp_zalloc(), stpi_escp2_deinit_printer(), and stpi_escp2_init_printer(). Referenced by escp2_job_end(), escp2_job_start(), and escp2_print().

const escp2_dropsize_t* escp2_dropsizes | ( | const stp_vars_t * | v,
|  | int | resid
| ) | `[static]`

| Definition at line 708 of file print-escp2.c. References escp2_printer::drops, escp2_drop_list_t, stp_get_model_id(), stp_vars_t, and stpi_escp2_model_capabilities. Referenced by setup_inks().

const res_t * escp2_find_resolution | ( | const stp_vars_t * | v | ) | `[static]`

| Definition at line 1632 of file print-escp2.c. References find_resolution_from_quality(), res_t::name, stp_check_string_parameter(), STP_DBG_ESCP2, stp_dprintf(), stp_get_string_parameter(), STP_PARAMETER_ACTIVE, and stp_vars_t. Referenced by escp2_describe_resolution(), escp2_parameters(), get_default_inktype(), setup_resolution(), and use_printer_weave().

model_featureset_t escp2_get_cap | ( | const stp_vars_t * | v,
|  | escp2_model_option_t | feature
| ) | `[static]`

| Definition at line 494 of file print-escp2.c. References escp2_printer_attr_t::bit_shift, escp2_printer_attr_t::bit_width, escp2_printer_attrs, escp2_printer::flags, model_featureset_t, MODEL_LIMIT, stp_get_model_id(), stp_vars_t, and stpi_escp2_model_capabilities. Referenced by setup_misc().

int escp2_has_advanced_command_set | ( | const stp_vars_t * | v | ) | `[static]`

| Definition at line 1816 of file print-escp2.c. References escp2_has_cap(), MODEL_COMMAND, MODEL_COMMAND_1999, MODEL_COMMAND_2000, MODEL_COMMAND_PRO, and stp_vars_t. Referenced by setup_misc().

int escp2_has_cap | ( | const stp_vars_t * | v,
|  | escp2_model_option_t | feature,
|  | model_featureset_t | class
| ) | `[static]`

| Definition at line 509 of file print-escp2.c. References escp2_printer_attr_t::bit_shift, escp2_printer_attr_t::bit_width, escp2_printer_attrs, escp2_printer::flags, model_featureset_t, MODEL_LIMIT, stp_get_model_id(), stp_vars_t, and stpi_escp2_model_capabilities. Referenced by escp2_do_print(), escp2_has_advanced_command_set(), escp2_parameters(), escp2_use_extended_commands(), get_default_inktype(), internal_imageable_area(), setup_head_parameters(), setup_misc(), setup_resolution(), and verify_papersize().

void escp2_imageable_area | ( | const stp_vars_t * | v,
|  | int * | left,
|  | int * | right,
|  | int * | bottom,
|  | int * | top
| ) | `[static]`

| Definition at line 1746 of file print-escp2.c. References internal_imageable_area(), and stp_vars_t.

int escp2_ink_type | ( | const stp_vars_t * | v,
|  | int | resid
| ) | `[static]`

| Definition at line 660 of file print-escp2.c. References escp2_printer::dot_sizes, stp_check_int_parameter(), stp_get_int_parameter(), stp_get_model_id(), STP_PARAMETER_ACTIVE, stp_vars_t, and stpi_escp2_model_capabilities. Referenced by adjust_density_and_ink_type(), and verify_resolution().

const inklist_t* escp2_inklist | ( | const stp_vars_t * | v | ) | `[static]`

| Definition at line 716 of file print-escp2.c. References escp2_printer::inkgroup, inkgroup_t::inklists, inkgroup_t::n_inklists, inklist_t::name, stp_check_string_parameter(), stp_get_model_id(), stp_get_string_parameter(), STP_PARAMETER_ACTIVE, stp_vars_t, and stpi_escp2_model_capabilities. Referenced by escp2_paperlist(), escp2_parameters(), escp2_shades(), get_default_inktype(), get_inktype(), get_media_adjustment(), and set_raw_ink_type().

int escp2_job_end | ( | const stp_vars_t * | v,
|  | stp_image_t * | image
| ) | `[static]`

| Definition at line 2732 of file print-escp2.c. References escp2_do_print(), OP_JOB_END, stp_image_t, stp_prune_inactive_options(), stp_vars_create_copy(), stp_vars_destroy(), and stp_vars_t.

int escp2_job_start | ( | const stp_vars_t * | v,
|  | stp_image_t * | image
| ) | `[static]`

| Definition at line 2721 of file print-escp2.c. References escp2_do_print(), OP_JOB_START, stp_image_t, stp_prune_inactive_options(), stp_vars_create_copy(), stp_vars_destroy(), and stp_vars_t.

void escp2_limit | ( | const stp_vars_t * | v,
|  | int * | width,
|  | int * | height,
|  | int * | min_width,
|  | int * | min_height
| ) | `[static]`

| Definition at line 1756 of file print-escp2.c. References stp_vars_t.

stp_parameter_list_t escp2_list_parameters | ( | const stp_vars_t * | v | ) | `[static]`

| Definition at line 1098 of file print-escp2.c. References float_parameter_count, float_parameters, stp_parameter_list_add_param(), stp_parameter_list_create(), stp_parameter_list_t, stp_vars_t, the_parameter_count, and the_parameters.

const paperlist_t* escp2_paperlist | ( | const stp_vars_t * | v | ) | `[static]`

| Definition at line 744 of file print-escp2.c. References escp2_inklist(), inklist_t::papers, and stp_vars_t. Referenced by escp2_parameters(), get_default_inktype(), and get_media_type().

void escp2_parameters | ( | const stp_vars_t * | v,
|  | const char * | name,
|  | stp_parameter_t * | description
| ) | `[static]`

| Definition at line 1240 of file print-escp2.c. References _, AUTO_MODE_MANUAL, stp_parameter_t::bounds, channel_set_t::channel_count, escp2_inkname_t::channel_set, stp_parameter_t::deflt, float_param_t::defval, escp2_find_resolution(), escp2_has_cap(), escp2_inklist(), escp2_paperlist(), find_default_resolution(), find_resolution_from_quality(), float_parameter_count, float_parameters, get_channel_count_by_number(), get_input_slot(), inkgroup_t::inklists, inklist_t::inknames, escp2_inkname_t::inkset, INKSET_EXTENDED, stp_parameter_t::is_active, input_slot_t::is_cd, float_param_t::max, quality_t::max_hres, quality_t::max_vres, float_param_t::min, quality_t::min_hres, quality_t::min_vres, MODEL_COMMAND, MODEL_COMMAND_PRO, MODEL_PACKET_MODE, MODEL_PACKET_MODE_YES, MODEL_PRINT_TO_CD, MODEL_PRINT_TO_CD_YES, MODEL_SUPPORTS_INK_CHANGE, MODEL_SUPPORTS_INK_CHANGE_YES, MODEL_XZEROMARGIN, MODEL_XZEROMARGIN_YES, inkgroup_t::n_inklists, inklist_t::n_inks, input_slot_list_t::n_input_slots, printer_weave_list_t::n_printer_weaves, quality_list_t::n_quals, channel_count_t::name, printer_weave_t::name, input_slot_t::name, paper_t::name, inklist_t::name, escp2_inkname_t::name, res_t::name, quality_t::name, stp_param_string_t::name, stp_papersize_t::name, stp_parameter_t::p_type, paperlist_t::paper_count, paperlist_t::papers, res_t::printer_weave, printer_weave_list_t::printer_weaves, quality_list_t::qualities, set_color_transition_parameter(), set_density_parameter(), set_gray_transition_parameter(), input_slot_list_t::slots, stp_check_string_parameter(), STP_ECOLOR_C, STP_ECOLOR_K, STP_ECOLOR_M, STP_ECOLOR_Y, stp_fill_parameter_settings(), stp_get_papersize_by_index(), stp_known_papersizes(), STP_PARAMETER_ACTIVE, STP_PARAMETER_TYPE_INVALID, stp_string_list_add_string(), stp_string_list_create(), stp_string_list_param(), stp_vars_t, printer_weave_t::text, input_slot_t::text, paper_t::text, inklist_t::text, escp2_inkname_t::text, quality_t::text, stp_papersize_t::text, the_parameter_count, the_parameters, use_printer_weave(), using_automatic_settings(), verify_inktype(), verify_papersize(), verify_resolution(), verify_resolution_by_paper_type(), XCOLOR_B, XCOLOR_GLOSS, and XCOLOR_R.

int escp2_print | ( | const stp_vars_t * | v,
|  | stp_image_t * | image
| ) | `[static]`

| Definition at line 2706 of file print-escp2.c. References escp2_do_print(), OP_JOB_END, OP_JOB_PRINT, OP_JOB_START, stp_get_string_parameter(), stp_image_t, stp_prune_inactive_options(), stp_vars_create_copy(), stp_vars_destroy(), and stp_vars_t.

int escp2_print_data | ( | stp_vars_t * | v,
|  | stp_image_t * | image
| ) | `[static]`

| Definition at line 2509 of file print-escp2.c. References escp2_privdata_t::cd_inner_radius, escp2_privdata_t::cd_outer_radius, escp2_privdata_t::cd_x_offset, escp2_privdata_t::cols, get_privdata(), escp2_privdata_t::image_printed_height, escp2_privdata_t::image_printed_width, escp2_privdata_t::micro_units, res_t::printed_hres, res_t::printed_vres, escp2_privdata_t::res, set_mask(), stp_color_get_row(), stp_dither(), stp_free(), stp_image_height(), stp_image_t, stp_malloc(), stp_vars_t, and stp_write_weave(). Referenced by escp2_print_page().

int escp2_print_page | ( | stp_vars_t * | v,
|  | stp_image_t * | image
| ) | `[static]`

| Definition at line 2584 of file print-escp2.c. References adjust_print_quality(), allocate_channels(), escp2_privdata_t::bitwidth, escp2_privdata_t::channels, escp2_privdata_t::channels_in_use, escp2_privdata_t::cols, COMPUTEFUNC, escp2_print_data(), FILLFUNC, get_privdata(), escp2_privdata_t::head_offset, escp2_privdata_t::horizontal_passes, escp2_privdata_t::image_printed_height, escp2_privdata_t::image_printed_width, escp2_privdata_t::image_top, escp2_privdata_t::nozzle_separation, escp2_privdata_t::nozzles, PACKFUNC, escp2_privdata_t::page_height, res_t::printed_hres, res_t::printed_vres, escp2_privdata_t::res, setup_inks(), stp_check_string_parameter(), stp_color_init(), stp_dither_init(), stp_flush_all(), stp_free(), stp_get_string_parameter(), stp_image_conclude(), stp_image_t, stp_initialize_weave(), STP_PARAMETER_ACTIVE, stp_vars_t, STP_WEAVE_ASCENDING, STP_WEAVE_ASCENDING_2X, STP_WEAVE_DESCENDING, STP_WEAVE_STAGGERED, STP_WEAVE_ZIGZAG, stpi_escp2_flush_pass(), stpi_escp2_terminate_page(), res_t::vertical_passes, and res_t::vres. Referenced by escp2_do_print().

const shade_t* escp2_shades | ( | const stp_vars_t * | v,
|  | int | channel
| ) | `[static]`

| Definition at line 737 of file print-escp2.c. References escp2_inklist(), inklist_t::shades, and stp_vars_t. Referenced by setup_inks().

int escp2_use_extended_commands | ( | const stp_vars_t * | v,
|  | int | use_softweave
| ) | `[static]`

| Definition at line 1824 of file print-escp2.c. References escp2_has_cap(), MODEL_COMMAND, MODEL_COMMAND_PRO, MODEL_VARIABLE_DOT, MODEL_VARIABLE_YES, and stp_vars_t. Referenced by setup_misc(), and setup_resolution().

void fill_transition_parameters | ( | stp_parameter_t * | description | ) | `[static]`

| Definition at line 1110 of file print-escp2.c. References stp_parameter_t::bounds, stp_parameter_t::deflt, and stp_parameter_t::is_active. Referenced by set_color_transition_parameter(), and set_gray_transition_parameter().

const res_t* find_default_resolution | ( | const stp_vars_t * | v,
|  | int | desired_hres,
|  | int | desired_vres,
|  | int | strict
| ) | `[static]`

| Definition at line 1170 of file print-escp2.c. References res_t::hres, stp_vars_t, verify_resolution(), verify_resolution_by_paper_type(), and res_t::vres. Referenced by escp2_parameters(), and find_resolution_from_quality().

const res_t* find_resolution_from_quality | ( | const stp_vars_t * | v,
|  | const char * | quality,
|  | int | strict
| ) | `[static]`

| Definition at line 1218 of file print-escp2.c. References quality_t::desired_hres, quality_t::desired_vres, find_default_resolution(), quality_t::max_hres, quality_t::max_vres, quality_t::min_hres, quality_t::min_vres, quality_list_t::n_quals, quality_t::name, quality_list_t::qualities, and stp_vars_t. Referenced by escp2_find_resolution(), and escp2_parameters().

unsigned gcd | ( | unsigned | a,
|  | unsigned | b
| ) | `[static]`

| Definition at line 2188 of file print-escp2.c.

const channel_count_t* get_channel_count_by_name | ( | const char * | name | ) | `[static]`

| Definition at line 640 of file print-escp2.c. References escp2_channel_counts, and escp2_channel_counts_count. Referenced by set_raw_ink_type().

const channel_count_t* get_channel_count_by_number | ( | unsigned | count | ) | `[static]`

| Definition at line 650 of file print-escp2.c. References channel_count_t::count, escp2_channel_counts, and escp2_channel_counts_count. Referenced by escp2_parameters().

const char* get_default_inktype | ( | const stp_vars_t * | v | ) | `[static]`

| Definition at line 1006 of file print-escp2.c. References compute_printed_resid(), escp2_base_res(), escp2_find_resolution(), escp2_has_cap(), escp2_inklist(), escp2_paperlist(), get_media_type(), res_t::hres, inklist_t::inknames, MODEL_FAST_360, MODEL_FAST_360_YES, inklist_t::n_inks, escp2_inkname_t::name, paperlist_t::papers, paper_t::preferred_ink_type, stp_check_string_parameter(), STP_PARAMETER_ACTIVE, stp_vars_t, and res_t::vres. Referenced by get_inktype().

double get_double_param | ( | const stp_vars_t * | v,
|  | const char * | param
| ) | `[static]`

| Definition at line 2046 of file print-escp2.c. References stp_check_float_parameter(), stp_get_float_parameter(), STP_PARAMETER_ACTIVE, and stp_vars_t.

const escp2_inkname_t* get_inktype | ( | const stp_vars_t * | v | ) | `[static]`

| Definition at line 1041 of file print-escp2.c. References AUTO_MODE_MANUAL, escp2_inklist(), get_default_inktype(), inklist_t::inknames, inklist_t::n_inks, escp2_inkname_t::name, stp_get_string_parameter(), stp_vars_t, and using_automatic_settings(). Referenced by escp2_describe_output(), escp2_do_print(), set_color_transition_parameter(), set_density_parameter(), and set_gray_transition_parameter().

const input_slot_t* get_input_slot | ( | const stp_vars_t * | v | ) | `[static]`

| Definition at line 827 of file print-escp2.c. References input_slot_list_t::n_input_slots, input_slot_t::name, input_slot_list_t::slots, stp_get_string_parameter(), and stp_vars_t. Referenced by escp2_parameters(), internal_imageable_area(), setup_misc(), and setup_page().

const paper_adjustment_t* get_media_adjustment | ( | const stp_vars_t * | v | ) | `[static]`

| Definition at line 1074 of file print-escp2.c. References escp2_inklist(), get_media_type(), paper_adjustment_t::name, paper_t::name, inklist_t::paper_adjustments, paper_adjustment_list_t::paper_count, paper_adjustment_list_t::papers, and stp_vars_t. Referenced by setup_misc().

const paper_t* get_media_type | ( | const stp_vars_t * | v | ) | `[static]`

| Definition at line 887 of file print-escp2.c. References escp2_paperlist(), paper_t::name, paperlist_t::paper_count, paperlist_t::papers, stp_get_string_parameter(), and stp_vars_t.

const printer_weave_t* get_printer_weave | ( | const stp_vars_t * | v | ) | `[static]`

| Definition at line 851 of file print-escp2.c. References printer_weave_list_t::n_printer_weaves, printer_weave_t::name, printer_weave_list_t::printer_weaves, stp_get_string_parameter(), and stp_vars_t. Referenced by setup_head_parameters().

escp2_privdata_t* get_privdata | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 488 of file print-escp2.c. References stp_get_component_data(), and stp_vars_t. Referenced by adjust_density_and_ink_type(), adjust_print_quality(), allocate_channels(), escp2_print_data(), escp2_print_page(), escp2_reset_printer(), escp2_set_color(), escp2_set_dot_size(), escp2_set_form_factor(), escp2_set_margins(), escp2_set_page_height(), escp2_set_printer_weave(), escp2_set_printhead_resolution(), escp2_set_printhead_speed(), escp2_set_remote_sequence(), escp2_set_resolution(), print_debug_params(), send_extra_data(), send_print_command(), set_color(), set_horizontal_position(), set_vertical_position(), setup_head_offset(), setup_head_parameters(), setup_inks(), setup_misc(), setup_page(), setup_printer_weave_parameters(), setup_resolution(), setup_softweave_parameters(), stpi_escp2_deinit_printer(), stpi_escp2_flush_pass(), and stpi_escp2_terminate_page().

int imax | ( | int | a,
|  | int | b
| ) | `[inline, static]`

| Definition at line 1670 of file print-escp2.c. Referenced by internal_imageable_area().

void internal_imageable_area | ( | const stp_vars_t * | v,
|  | int | use_paper_margins,
|  | int * | left,
|  | int * | right,
|  | int * | bottom,
|  | int * | top
| ) | `[static]`

| Definition at line 1679 of file print-escp2.c. References stp_papersize_t::bottom, escp2_has_cap(), get_input_slot(), imax(), input_slot_t::is_cd, input_slot_t::is_roll_feed, stp_papersize_t::left, MODEL_XZEROMARGIN, MODEL_XZEROMARGIN_YES, stp_papersize_t::right, stp_default_media_size(), stp_get_boolean_parameter(), stp_get_papersize_by_name(), stp_get_string_parameter(), stp_vars_t, and stp_papersize_t::top.

unsigned lcm | ( | unsigned | a,
|  | unsigned | b
| ) | `[static]`

| Definition at line 2208 of file print-escp2.c. References gcd(). Referenced by adjusted_horizontal_resolution(), adjusted_vertical_resolution(), and stp_curve_compose().

int print_escp2_module_exit | ( | void |  | ) | `[static]`

| Definition at line 2772 of file print-escp2.c. References print_escp2_module_data, stp_family::printer_list, and stp_family_unregister().

int print_escp2_module_init | ( | void |  | ) | `[static]`

| Definition at line 2765 of file print-escp2.c. References print_escp2_module_data, stp_family::printer_list, and stp_family_register().

void set_color_transition_parameter | ( | const stp_vars_t * | v,
|  | stp_parameter_t * | description,
|  | int | color
| ) | `[static]`

| Definition at line 1151 of file print-escp2.c. References AUTO_MODE_MANUAL, channel_set_t::channel_count, escp2_inkname_t::channel_set, channel_set_t::channels, fill_transition_parameters(), get_inktype(), stp_parameter_t::is_active, ink_channel_t::n_subchannels, stp_get_string_parameter(), stp_vars_t, and using_automatic_settings(). Referenced by escp2_parameters().

void set_density_parameter | ( | const stp_vars_t * | v,
|  | stp_parameter_t * | description,
|  | int | color
| ) | `[static]`

| Definition at line 1119 of file print-escp2.c. References AUTO_MODE_MANUAL, channel_set_t::channel_count, escp2_inkname_t::channel_set, channel_set_t::channels, get_inktype(), stp_parameter_t::is_active, stp_get_string_parameter(), stp_vars_t, and using_automatic_settings(). Referenced by escp2_parameters().

void set_gray_transition_parameter | ( | const stp_vars_t * | v,
|  | stp_parameter_t * | description,
|  | int | expected_channels
| ) | `[static]`

| Definition at line 1137 of file print-escp2.c. References AUTO_MODE_MANUAL, escp2_inkname_t::channel_set, channel_set_t::channels, fill_transition_parameters(), get_inktype(), stp_parameter_t::is_active, ink_channel_t::n_subchannels, STP_ECOLOR_K, stp_vars_t, and using_automatic_settings(). Referenced by escp2_parameters().

void set_mask | ( | unsigned char * | cd_mask,
|  | int | x_center,
|  | int | scaled_x_where,
|  | int | limit,
|  | int | expansion,
|  | int | invert
| ) | `[static]`

| Definition at line 2464 of file print-escp2.c. Referenced by escp2_print_data().

int set_raw_ink_type | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 1832 of file print-escp2.c. References _, channel_set_t::channel_count, escp2_inkname_t::channel_set, channel_count_t::count, escp2_inklist(), get_channel_count_by_name(), inklist_t::inknames, escp2_inkname_t::inkset, INKSET_EXTENDED, inklist_t::n_inks, escp2_inkname_t::name, STP_DBG_INK, stp_dprintf(), stp_eprintf(), stp_get_string_parameter(), stp_set_int_parameter(), stp_set_string_parameter(), and stp_vars_t. Referenced by escp2_do_print().

void setup_head_offset | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 2099 of file print-escp2.c. References escp2_inkname_t::channel_set, channel_set_t::channels, escp2_privdata_t::channels_in_use, get_privdata(), physical_subchannel_t::head_offset, escp2_privdata_t::head_offset, escp2_privdata_t::inkname, escp2_privdata_t::logical_channels, escp2_privdata_t::max_head_offset, ink_channel_t::n_subchannels, escp2_privdata_t::physical_channels, escp2_privdata_t::res, stp_vars_t, stp_zalloc(), ink_channel_t::subchannels, and res_t::vres. Referenced by setup_head_parameters().

void setup_head_parameters | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 2322 of file print-escp2.c. References escp2_privdata_t::bitwidth, channel_set_t::channel_count, escp2_inkname_t::channel_set, compute_channel_count(), compute_printed_resid(), escp2_bits(), escp2_has_cap(), escp2_privdata_t::extra_720dpi_separation, get_printer_weave(), get_privdata(), escp2_privdata_t::head_offset, escp2_privdata_t::horizontal_passes, res_t::hres, escp2_privdata_t::initial_vertical_offset, escp2_privdata_t::inkname, escp2_inkname_t::inkset, INKSET_CMYK, escp2_privdata_t::logical_channels, MODEL_FAST_360, MODEL_FAST_360_YES, escp2_privdata_t::page_management_units, escp2_privdata_t::physical_channels, escp2_privdata_t::physical_xdpi, escp2_privdata_t::printer_weave, escp2_privdata_t::printing_initial_vertical_offset, escp2_privdata_t::pseudo_separation_rows, escp2_privdata_t::res, escp2_privdata_t::separation_rows, setup_head_offset(), setup_printer_weave_parameters(), setup_softweave_parameters(), res_t::softweave, stp_get_string_parameter(), stp_vars_t, stpi_escp2_default_black_inkset, escp2_privdata_t::use_black_parameters, escp2_privdata_t::use_fast_360, use_printer_weave(), escp2_privdata_t::use_printer_weave, printer_weave_t::value, and res_t::vres. Referenced by escp2_do_print().

void setup_inks | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 2055 of file print-escp2.c. References physical_subchannel_t::channel_density, escp2_inkname_t::channel_set, channel_set_t::channels, escp2_dropsize_t::dropsizes, escp2_dropsizes(), escp2_shades(), get_double_param(), get_privdata(), ink_darknesses, escp2_privdata_t::ink_resid, escp2_privdata_t::inkname, escp2_privdata_t::logical_channels, shade_t::n_shades, ink_channel_t::n_subchannels, escp2_dropsize_t::numdropsizes, escp2_privdata_t::paper_adjustment, shade_t::shades, stp_channel_set_black_channel(), stp_channel_set_cutoff_adjustment(), stp_channel_set_density_adjustment(), stp_dither_set_inks(), stp_erprintf(), stp_flush_debug_messages(), stp_init_debug_messages(), stp_vars_t, paper_adjustment_t::subchannel_cutoff, physical_subchannel_t::subchannel_scale, and ink_channel_t::subchannels. Referenced by escp2_print_page().

void setup_misc | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 2137 of file print-escp2.c. References escp2_privdata_t::advanced_command_set, escp2_privdata_t::base_separation, escp2_privdata_t::command_set, escp2_privdata_t::deinit_sequence, escp2_get_cap(), escp2_has_advanced_command_set(), escp2_has_cap(), escp2_use_extended_commands(), get_input_slot(), get_media_adjustment(), get_media_type(), get_privdata(), escp2_privdata_t::has_graymode, escp2_privdata_t::has_vacuum, escp2_privdata_t::init_sequence, escp2_privdata_t::ink_group, escp2_privdata_t::input_slot, MODEL_COMMAND, MODEL_GRAYMODE, MODEL_GRAYMODE_YES, MODEL_VACUUM, MODEL_VACUUM_YES, MODEL_VARIABLE_DOT, MODEL_VARIABLE_YES, escp2_privdata_t::paper_adjustment, escp2_privdata_t::paper_type, escp2_privdata_t::res, escp2_privdata_t::resolution_scale, res_t::softweave, stp_vars_t, escp2_privdata_t::use_extended_commands, and escp2_privdata_t::variable_dots. Referenced by escp2_do_print().

void setup_page | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 2396 of file print-escp2.c. References escp2_privdata_t::cd_inner_radius, escp2_privdata_t::cd_outer_radius, escp2_privdata_t::cd_x_offset, escp2_privdata_t::cd_y_offset, get_input_slot(), get_privdata(), res_t::hres, escp2_privdata_t::image_height, escp2_privdata_t::image_left, escp2_privdata_t::image_left_position, escp2_privdata_t::image_printed_height, escp2_privdata_t::image_printed_width, escp2_privdata_t::image_scaled_height, escp2_privdata_t::image_scaled_width, escp2_privdata_t::image_top, escp2_privdata_t::image_width, internal_imageable_area(), input_slot_t::is_cd, escp2_privdata_t::micro_units, escp2_privdata_t::page_bottom, escp2_privdata_t::page_height, escp2_privdata_t::page_left, escp2_privdata_t::page_right, escp2_privdata_t::page_top, escp2_privdata_t::page_true_height, escp2_privdata_t::page_width, res_t::printed_hres, res_t::printed_vres, escp2_privdata_t::res, input_slot_t::roll_feed_cut_flags, stp_default_media_size(), stp_get_dimension_parameter(), stp_get_height(), stp_get_left(), stp_get_string_parameter(), stp_get_top(), stp_get_width(), stp_vars_t, and res_t::vres. Referenced by escp2_do_print().

void setup_printer_weave_parameters | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 2311 of file print-escp2.c. References get_privdata(), escp2_privdata_t::horizontal_passes, escp2_privdata_t::min_nozzles, escp2_privdata_t::nozzle_separation, escp2_privdata_t::nozzles, stp_vars_t, and escp2_privdata_t::use_black_parameters. Referenced by setup_head_parameters().

void setup_resolution | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 2239 of file print-escp2.c. References adjusted_horizontal_resolution(), adjusted_vertical_resolution(), compute_resid(), escp2_base_res(), escp2_find_resolution(), escp2_has_cap(), escp2_use_extended_commands(), get_privdata(), escp2_privdata_t::horizontal_units, res_t::hres, escp2_privdata_t::micro_units, MODEL_COMMAND, MODEL_COMMAND_1999, MODEL_VARIABLE_DOT, MODEL_VARIABLE_NO, escp2_privdata_t::page_management_units, escp2_privdata_t::physical_xdpi, escp2_privdata_t::printing_resolution, escp2_privdata_t::res, res_t::softweave, stp_vars_t, escp2_privdata_t::unit_scale, and escp2_privdata_t::vertical_units. Referenced by escp2_do_print().

void setup_softweave_parameters | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 2277 of file print-escp2.c. References get_privdata(), escp2_privdata_t::horizontal_passes, escp2_privdata_t::min_nozzles, escp2_privdata_t::nozzle_separation, escp2_privdata_t::nozzles, escp2_privdata_t::physical_channels, escp2_privdata_t::physical_xdpi, res_t::printed_hres, escp2_privdata_t::res, stp_vars_t, escp2_privdata_t::use_black_parameters, escp2_privdata_t::use_fast_360, and res_t::vres. Referenced by setup_head_parameters().

int use_printer_weave | ( | const stp_vars_t * | v | ) | `[static]`

| Definition at line 872 of file print-escp2.c. References escp2_find_resolution(), res_t::printer_weave, res_t::softweave, and stp_vars_t. Referenced by escp2_parameters(), and setup_head_parameters().

int using_automatic_settings | ( | const stp_vars_t * | v,
|  | auto_mode_t | mode
| ) | `[static]`

| Definition at line 754 of file print-escp2.c. References AUTO_MODE_MANUAL, AUTO_MODE_QUALITY, stp_check_string_parameter(), stp_get_string_parameter(), STP_PARAMETER_ACTIVE, and stp_vars_t. Referenced by escp2_parameters(), get_inktype(), set_color_transition_parameter(), set_density_parameter(), and set_gray_transition_parameter().

int verify_inktype | ( | const stp_vars_t * | v,
|  | const escp2_inkname_t * | inks
| ) | `[static]`

| Definition at line 997 of file print-escp2.c. References escp2_inkname_t::inkset, INKSET_EXTENDED, and stp_vars_t. Referenced by escp2_parameters().

int verify_papersize | ( | const stp_vars_t * | v,
|  | const stp_papersize_t * | pt
| ) | `[static]`

| Definition at line 977 of file print-escp2.c. References escp2_has_cap(), stp_papersize_t::height, MODEL_ROLLFEED, MODEL_ROLLFEED_YES, stp_papersize_t::name, stp_vars_t, and stp_papersize_t::width. Referenced by escp2_parameters().

int verify_resolution | ( | const stp_vars_t * | v,
|  | const res_t * | res
| ) | `[static]`

| Definition at line 945 of file print-escp2.c. References compute_printed_resid(), compute_resid(), escp2_base_res(), escp2_ink_type(), res_t::hres, res_t::softweave, stp_vars_t, res_t::vertical_passes, and res_t::vres. Referenced by escp2_describe_resolution(), escp2_parameters(), and find_default_resolution().

int verify_resolution_by_paper_type | ( | const stp_vars_t * | v,
|  | const res_t * | res
| ) | `[static]`

| Definition at line 908 of file print-escp2.c. References get_media_type(), res_t::hres, paper_t::paper_class, PAPER_GOOD, PAPER_PHOTO, PAPER_PLAIN, PAPER_PREMIUM_PHOTO, PAPER_TRANSPARENCY, res_t::printed_vres, and stp_vars_t. Referenced by escp2_parameters(), and find_default_resolution().

## Variable Documentation

const channel_count_t escp2_channel_counts[]`[static]`

| Definition at line 78 of file print-escp2.c. Referenced by get_channel_count_by_name(), and get_channel_count_by_number().

int escp2_channel_counts_count`[static]`

| Initial value:
    sizeof(escp2_channel_counts) / sizeof(channel_count_t)
Definition at line 114 of file print-escp2.c. Referenced by get_channel_count_by_name(), and get_channel_count_by_number().

const escp2_printer_attr_t escp2_printer_attrs[]`[static]`

| Initial value:
    {
      { "command_mode",             0, 4 },
      { "horizontal_zero_margin",   4, 1 },
      { "rollfeed",                 5, 1 },
      { "variable_mode",            6, 1 },
      { "graymode",                 7, 1 },
      { "vacuum",                   8, 1 },
      { "fast_360",                 9, 1 },
      { "send_zero_advance",       10, 1 },
      { "supports_ink_change",     11, 1 },
      { "packet_mode",             12, 1 },
      { "print_to_cd",             13, 1 },
    }
Definition at line 57 of file print-escp2.c. Referenced by escp2_get_cap(), and escp2_has_cap().

const int float_parameter_count`[static]`

| Initial value:
    sizeof(float_parameters) / sizeof(const float_param_t)
Definition at line 483 of file print-escp2.c. Referenced by escp2_list_parameters(), and escp2_parameters().

const float_param_t float_parameters[]`[static]`

| Definition at line 367 of file print-escp2.c. Referenced by escp2_list_parameters(), and escp2_parameters().

const double ink_darknesses[]`[static]`

| Initial value:
    {
      1.0, 0.31 / .4, 0.61 / .96, 0.08, 0.31 * 0.33 / .4, 0.61 * 0.33 / .96, 0.33, 1.0
    }
Definition at line 117 of file print-escp2.c. Referenced by setup_inks().

stp_family_t print_escp2_module_data`[static]`

| Initial value:
      {
        &print_escp2_printfuncs,
        NULL
      }
Definition at line 2757 of file print-escp2.c. Referenced by print_escp2_module_exit(), and print_escp2_module_init().

const stp_printfuncs_t print_escp2_printfuncs`[static]`

| Initial value:
    {
      escp2_list_parameters,
      escp2_parameters,
      stp_default_media_size,
      escp2_imageable_area,
      escp2_limit,
      escp2_print,
      escp2_describe_resolution,
      escp2_describe_output,
      stp_verify_printer_params,
      escp2_job_start,
      escp2_job_end
    }
Definition at line 2742 of file print-escp2.c.

stp_module_t stp_module_data

| Initial value:
      {
        "escp2",
        VERSION,
        "Epson family driver",
        STP_MODULE_CLASS_FAMILY,
        NULL,
        print_escp2_module_init,
        print_escp2_module_exit,
        (void *) &print_escp2_module_data
      }
Definition at line 2784 of file print-escp2.c.

stp_module_version_t stp_module_version = {0, 0}

| Definition at line 2782 of file print-escp2.c.

const int the_parameter_count`[static]`

| Initial value:
    sizeof(the_parameters) / sizeof(const stp_parameter_t)
Definition at line 364 of file print-escp2.c. Referenced by escp2_list_parameters(), and escp2_parameters().

const stp_parameter_t the_parameters[]`[static]`

| Definition at line 156 of file print-escp2.c. Referenced by escp2_list_parameters(), and escp2_parameters().